import { ConditionUtil, FieldUtil, TableUtilImpl, IdType, SubTable } from 'model-util';
import { Ad_style } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-04-15 16:40
 */
interface Ad_styleCU extends ConditionUtil<Ad_styleCU> {
    ID: FieldUtil<Ad_styleCU>;
    AD_POSTION_TYPE: FieldUtil<Ad_styleCU>;
    WIDTH: FieldUtil<Ad_styleCU>;
    HEIGHT: FieldUtil<Ad_styleCU>;
    TYPE: FieldUtil<Ad_styleCU>;
    STATUS: FieldUtil<Ad_styleCU>;
    CREATE_TIME: FieldUtil<Ad_styleCU>;
    CREATOR: FieldUtil<Ad_styleCU>;
    UPDATE_TIME: FieldUtil<Ad_styleCU>;
    UPDATOR: FieldUtil<Ad_styleCU>;
}
declare class Ad_styleMU extends TableUtilImpl<Ad_styleCU, Ad_style> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: SubTable[];
    createConditionUtil(): Ad_styleCU;
    static get ID(): FieldUtil<Ad_styleCU>;
    static get AD_POSTION_TYPE(): FieldUtil<Ad_styleCU>;
    static get WIDTH(): FieldUtil<Ad_styleCU>;
    static get HEIGHT(): FieldUtil<Ad_styleCU>;
    static get TYPE(): FieldUtil<Ad_styleCU>;
    static get STATUS(): FieldUtil<Ad_styleCU>;
    static get CREATE_TIME(): FieldUtil<Ad_styleCU>;
    static get CREATOR(): FieldUtil<Ad_styleCU>;
    static get UPDATE_TIME(): FieldUtil<Ad_styleCU>;
    static get UPDATOR(): FieldUtil<Ad_styleCU>;
    get ID(): FieldUtil<Ad_styleCU>;
    get AD_POSTION_TYPE(): FieldUtil<Ad_styleCU>;
    get WIDTH(): FieldUtil<Ad_styleCU>;
    get HEIGHT(): FieldUtil<Ad_styleCU>;
    get TYPE(): FieldUtil<Ad_styleCU>;
    get STATUS(): FieldUtil<Ad_styleCU>;
    get CREATE_TIME(): FieldUtil<Ad_styleCU>;
    get CREATOR(): FieldUtil<Ad_styleCU>;
    get UPDATE_TIME(): FieldUtil<Ad_styleCU>;
    get UPDATOR(): FieldUtil<Ad_styleCU>;
}
export { Ad_styleMU, Ad_styleCU };
